// fluid-font-size($minimumSize = 12, $maximumSize = 36, $minimumViewportWidth = 300, $maximumViewportWidth = 1600)
//   font-size: 'calc(%spx + (%s - %s) * ((100vw - %spx) / (%s - %s))) !important' % ($minimumSize $maximumSize $minimumSize $minimumViewportWidth $maximumViewportWidth $minimumViewportWidth)

// for num in (8..28)
//   .fontsize-{num}
//     fluid-font-size num (num*2+2) 300 1800

.fontsize-8 {
  font-size: calc(8px + (18 - 8) * ((100vw - 300px) / (1800 - 300))) !important;
}
.fontsize-9 {
  font-size: calc(9px + (20 - 9) * ((100vw - 300px) / (1800 - 300))) !important;
}
.fontsize-10 {
  font-size: calc(
    10px + (22 - 10) * ((100vw - 300px) / (1800 - 300))
  ) !important;
}
.fontsize-11 {
  font-size: calc(
    11px + (24 - 11) * ((100vw - 300px) / (1800 - 300))
  ) !important;
}
.fontsize-12 {
  font-size: calc(
    12px + (26 - 12) * ((100vw - 300px) / (1800 - 300))
  ) !important;
}
.fontsize-13 {
  font-size: calc(
    13px + (28 - 13) * ((100vw - 300px) / (1800 - 300))
  ) !important;
}
.fontsize-14 {
  font-size: calc(
    14px + (30 - 14) * ((100vw - 300px) / (1800 - 300))
  ) !important;
}
.fontsize-15 {
  font-size: calc(
    15px + (32 - 15) * ((100vw - 300px) / (1800 - 300))
  ) !important;
}
.fontsize-16 {
  font-size: calc(
    16px + (34 - 16) * ((100vw - 300px) / (1800 - 300))
  ) !important;
}
.fontsize-17 {
  font-size: calc(
    17px + (36 - 17) * ((100vw - 300px) / (1800 - 300))
  ) !important;
}
.fontsize-18 {
  font-size: calc(
    18px + (38 - 18) * ((100vw - 300px) / (1800 - 300))
  ) !important;
}
.fontsize-19 {
  font-size: calc(
    19px + (40 - 19) * ((100vw - 300px) / (1800 - 300))
  ) !important;
}
.fontsize-20 {
  font-size: calc(
    20px + (42 - 20) * ((100vw - 300px) / (1800 - 300))
  ) !important;
}
.fontsize-21 {
  font-size: calc(
    21px + (44 - 21) * ((100vw - 300px) / (1800 - 300))
  ) !important;
}
.fontsize-22 {
  font-size: calc(
    22px + (46 - 22) * ((100vw - 300px) / (1800 - 300))
  ) !important;
}
.fontsize-23 {
  font-size: calc(
    23px + (48 - 23) * ((100vw - 300px) / (1800 - 300))
  ) !important;
}
.fontsize-24 {
  font-size: calc(
    24px + (50 - 24) * ((100vw - 300px) / (1800 - 300))
  ) !important;
}
.fontsize-25 {
  font-size: calc(
    25px + (52 - 25) * ((100vw - 300px) / (1800 - 300))
  ) !important;
}
.fontsize-26 {
  font-size: calc(
    26px + (54 - 26) * ((100vw - 300px) / (1800 - 300))
  ) !important;
}
.fontsize-27 {
  font-size: calc(
    27px + (56 - 27) * ((100vw - 300px) / (1800 - 300))
  ) !important;
}
.fontsize-28 {
  font-size: calc(
    28px + (58 - 28) * ((100vw - 300px) / (1800 - 300))
  ) !important;
}
